Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Fehlermeldung nuberp: nil

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Fehlermeldung nuberp: nil (460 mal gelesen)
CADblue
Mitglied



Sehen Sie sich das Profil von CADblue an!   Senden Sie eine Private Message an CADblue  Schreiben Sie einen Gästebucheintrag für CADblue

Beiträge: 117
Registriert: 20.07.2011

ACAD18,Linear19

erstellt am: 20. Dez. 2011 12:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

hi leute!!

hab mir hiern code geschrieben der aber irgendwie nicht funktioniert-.-

bitte um hilfe

Code:

(defun c: ol()(/ TYP LISTE line1 line2 lines2 line3 line4 lines3)
(setq TYP(cdr(assoc 0 (setq LISTE(entget(car(entsel)))))))
(if (= typ "INSERT")
(progn
(setq line1(cadr(assoc 10 liste)))(setq line2(caddr(assoc 10 liste)))
(setq lines2(subst (list 10 line1 line2 0.0)(assoc 10 liste)liste))
(entmod lines2)
)
(if (= typ "LWPOLYLINE")
(progn
(setq lines2(subst (cons 38 0.0)(assoc 38 liste)liste))
(entmod lines2)
)
(if (= typ "LINE")
(progn
(setq line1(cadr(assoc 10 liste)))(setq line2(caddr(assoc 10 liste)))
(setq lines2(subst (list 10 line1 line2 0.0)(assoc 10 liste)liste))
(entmod lines2)
(setq line3(cadr(assoc 11 liste)))(setq line4(caddr(assoc 11 liste)))
(setq lines3(subst (list 11 line3 line4 0.0)(assoc 11 lines2)lines2))
(entmod lines3)
)
)))
(print  " wurde auf Z 0.0 gelegt")(print))


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADblue
Mitglied



Sehen Sie sich das Profil von CADblue an!   Senden Sie eine Private Message an CADblue  Schreiben Sie einen Gästebucheintrag für CADblue

Beiträge: 117
Registriert: 20.07.2011

ACAD18,Linear19

erstellt am: 20. Dez. 2011 12:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

sorry aber (defun c:...()()...
-.-
habs grad selber gesehen beim code reinstellen in der übersicht

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz